Subject: Re: bug#42184: 27.0.91; org-fontify-whole-heading-line does not work in emacs 27

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Aug 2020 16:35:13 +0300

> From: Kyle Meyer <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked],  [email-masked],  [email-masked]
> Date: Thu, 06 Aug 2020 00:10:55 -0400
> 
> Kévin Le Gouguec writes:
> 
> > Here is a variant of the previous patch, which correctly resets :extend
> > to nil if the user disables the relevant options (after reverting the
> > current buffer, or for newly opened ones).
> >
> > This ends up looking similar to what Org does for org-hide; IMO this
> > seems like the most straightforward short-term fix.  In the long run,
> > these user options would probably deserve :set functions.
> 
> Thanks for working on this fix.  I of course can't speak for Bastien or
> Nicolas, but this patch looks fine to me.  Assuming it's okay with Eli,
> I'd suggest applying it to the emacs-27 branch.

It's too late for Emacs 27.1, and in any case I'd like to hear the
blessing of Org developers before installing this.  (I'd expect this
to be first installed in Org and then in Emacs, not the other way
around, but if it's okay with the Org folks to do it otherwise, I
won't object.)